package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author hujianguo
 * @create 2021-10-29 11:23
 */
@FeignClient(value = "dil-join-api-dev", url = "${openfeign.JoinFeign.url}")
public interface JoinFeign {
    @PostMapping("/api/v1/join/amssaleorder/getSaleOrder")
    Map<String,Object> getSaleOrder(@RequestParam BigDecimal saleOrderId);

    @PostMapping("/api/v1/join/wsface/pushSaleOrderToEas")
    String pushSaleOrderToEas(@RequestBody Map<String,Object> map);
}
